System requirements for Kaspersky Secure Connection

 

Kaspersky Secure Connectiоn

 
 
 

System requirements for Kaspersky Secure Connection

Back to "Windows"
Latest update: October 17, 2019 ID: 13496
 
 
 
 
This article concerns Kaspersky Secure Connection version 20.0.14.1085.
 
 
 
 

General requirements

  • 150 MB of free disk space
  • Internet connection
  • Microsoft Internet Explorer 8.0 or later
    We recommend using Microsoft Internet Explorer 9.0 or later for accessing My Kaspersky.
  • Microsoft Windows Installer 3.0 or later
  • Microsoft .Net Framework 4 or later

Requirements for operating systems

  • 1 GHz processor or faster
  • 1 GB of free RAM for 32-bit operating systems and 2 GB of free RAM for 64-bit operating systems.

These requirements concern the following operating systems:

  • Microsoft Windows 7 Starter (Service Pack 0 or later)
  • Microsoft Windows 7 Home Basic (Service Pack 0 or later)
  • Microsoft Windows 7 Home Premium (Service Pack 0 or later)
  • Microsoft Windows 7 Professional (Service Pack 0 or later)
  • Microsoft Windows 7 Ultimate (Service Pack 0 or later)
  • Microsoft Windows 8 (Service Pack 0 or later)
  • Microsoft Windows 8 Pro (Service Pack 0 or later)
  • Microsoft Windows 8 Enterprise (Service Pack 0 or later)
  • Microsoft Windows 8.1 (Service Pack 0 and Windows 8.1 Update)
  • Microsoft Windows 8.1 Pro (Service Pack 0 and Windows 8.1 Update)
  • Microsoft Windows 8.1 Enterprise (Service Pack 0 and Windows 8.1 Update)
  • Microsoft Windows 10 Home (versions 1507, 1511, 1607, 1703, 1709, 1803, 1809, 1903, 1909)
  • Microsoft Windows 10 Enterprise (versions 1507, 1511, 1607, 1703, 1709, 1803, 1809, 1903, 1909)
  • Microsoft Windows 10 Pro (versions 1507, 1511, 1607, 1703, 1709, 1803, 1809, 1903, 1909)

Supported browsers

  • Microsoft Internet Explorer versions 8.0, 9.0, 10.0 and 11.0 (except for Microsoft Internet Explorer 10 and 11 with the new Windows user interface style).
  • Microsoft Edge 38.14393 and later
  • Yandex Browser 17.3 and later
  • Mozilla Firefox 52.x  and later
  • Mozilla Firefox ESR 52.x and later
  • Google Chrome 48.x and later
Kaspersky Security Cloud supports Google Chrome and Mozilla Firefox on both 32-bit and 64-bit operating systems.

Requirements for tablets

  • Microsoft Windows 8, Microsoft Windows 8.1 or Microsoft Windows 10
  • Intel Celeron processor 1.66 GHz or faster
  • 1000 MB of free RAM

Requirements for netbooks

  • Intel Atom processor at 1600 MHz or faster
  • 1024 MB of free RAM
  • 10.1-inch display with a 1024x600 screen resolution
  • Intel GMA 950 or later graphics processor
 
 
 
 
Was this information helpful?
Yes No
Thank you
 
 
 

 
 

How can we improve this article?

Your feedback will be used for content improvement purposes only. If you need assistance, please contact technical support.

Submit Submit

Thank you for your feedback!

Your suggestions will help improve this article.

OK